> ## Name

> TextureCubeMap - 3D API texture cube map

> ## Usage

> TextureCubeMap[i] = samplerCUBE(samp)

> ## Valid Enumerants

> samp: sampler

> ## Description

> Specify the cube map texture to be used. See the GL_TEXTURE_CUBE_MAP description on the OpenGL glBindTexture manual page for details. See the IDirect3DDevice9::SetTexture method for details.

> The standard reset callback sets the TextureCubeMap[i] state to samplerCUBE(0).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> Texture1DEnable, Texture2DEnable, Texture3DEnable, TextureCubeMapEnable, TextureRectangleEnable, Texture1D, Texture2D, Texture3D, TextureRectangle, TextureEnvColor, TextureEnvMode, TextureFactor, TextureMatrix, TextureTransform, TextureTransformFlags, Texture, MagFilter, MaxMipLevel, MinFilter, MipFilter, MipMapLodBias